Mailinglist Archive: opensuse (5100 mails)

< Previous Next >
Re: [SLE] db4-2 and subversion mod_dav_svn
  • From: poeml@xxxxxxxxxxx
  • Date: Thu, 3 Jun 2004 11:07:47 +0200
  • Message-id: <20040603090747.GA29180@xxxxxxxxxxx>
On Thu, Jun 03, 2004 at 02:23:48AM -0500, Mobeen Azhar wrote:
> I seem to have worked myself into a pickle with subversion on SuSE 9.1
>
> I had subversion and apache working nice and dandy on the machine with
> SuSE 9.0. Since I upgraded it to 9.1 and db4-2, all components of
> subversion work fine except the mod_dav_svn piece.
>
> The problem stays the same whether I install using apt-get, or if I
> download the subversion source tar ball and compile myself.
>
> The problem is that whenever I try to access the subversion repository
> via a webdav client (such as TortoiseSVN), messages show up in the
> apache error log to the effect that the module was compiled with db4-1
> but is running with db4-2. I have verified that only db4-2 exists on
> the system.
>
> Doing an ldd on mod_dav_svn.so shows that it is indeed referencing
> db4-1. [...]

And where does that mod_dav_svn.so come from (rpm -qf, rpm -qi)?
9.1's mod_dav_svn.so is not linked against libdb at all.

Peter
< Previous Next >
Follow Ups
References